コスプレ衣装Shop

Mozilla Firefox 5.0

昨日、アテーセのウェブサイトの話をしていた時に気づいてしまいました。

Firefox 5.0」でPHPが動作してない…(汗)

その人の使っているノートが、たまたま「Firefox」で、リンクが飛ばないというものでした。
ウェブサイトを作った時には「IE6」の時代でこれに最適化していたのですが、IEも「7」「8」と経るに従って表示が崩れるなどの症状は出ていました。

当時はまだ「google chrome」は無く「Netscape」が残っており、Macの「safari」もシェアが0.5%程度と無視できるものだったため、これらが増えてきても動作せずに対応していないことは承知していたのですが…
Firefox5.0も動かなくなっていたとは…(汗)

作成時にFirefoxで動作確認を行ったのは3.0。
Verが上がると、そんなに大きく変更されるのかな?

ショッピングカートのベースになるシステムは、とあるところからの購入でコレを大きく改変して使用しているのですが、今のシステムは結構高価だったのに使えねぇ~っ!
オマケに購入者情報をウェブ上に公開してしまうなど、管理がズサンだし。(名称を公開したいくらい)

今のシステムの導入は6年前、その後Verをアップしていてもう4~5年前にイジったものなので、自分でもどこをどのように書き換えたのか覚えていません。
今更、chromeなどに対応するように改修して…というのも無理、ダメぽ!?

以前は無視できていた「safari」ですが、最近の傾向を調べていますとシェアが上がってきているのです。
これは、間違いなくiPhoneによるものと思われます。
このため、Androidも含めたスマホに急いで対応する必要があります。

というわけで、現在のシステムは捨てて新しくシステムの構築が急務なのでありました。
今度は「EC CUBE」を使おうかな、と。
高いお金を出して、ショッピングカートのシステムを買ったり、ランニングコストが高額となるレンタルなどをする必要はありません。
「EC CUBE」は、タダだし。
その分を、衣装のコストパフォーマンスへ回した方がイイ。

そんなワケで、ちょっと休止しているような状態になっているのでした。
オテガミをもらったってこともありますけどね…(苦笑)

-コスプレ衣装Shop

Copyright© コスプレ衣装 グランアテーセ , 2020 All Rights Reserved.